## qt6-base 6.9.2

=== debian/changelog ===
qt6-base (6.9.2-0zneon+24.04+noble+release+build119) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 12:17:23 +0000

qt6-base (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 28 Aug 2025 22:12:14 +1000

qt6-base (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 08 Jul 2025 18:18:10 +1000

qt6-base (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sun, 20 Apr 2025 18:35:05 +1000

qt6-base (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 20:26:54 +1000

qt6-base (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 08 Feb 2025 20:25:35 +1000

qt6-base (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 03 Dec 2024 10:29:44 +1000

qt6-base (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:22:19 +1000

qt6-base (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 28 Mar 2024 09:23:31 +0000

qt6-base (6.6.2-1neon) jammy; urgency=medium

  * bump debian minor release for breaks for qtpaths6 move

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 16 Feb 2024 16:46:34 +1000

qt6-base (6.6.2-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 16 Feb 2024 16:46:34 +1000

qt6-base (6.6.1-0neon) jammy; urgency=medium

  [ Jonathan Esk-Riddell ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 08 Dec 2023 15:02:12 +1000

qt6-base (6.5.3-0) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 03 Apr 2023 13:34:30 +0100

qt6-base (6.4.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Make cmake a suggestion of qt6-base-dev-tools instead of a hard
    dependency (Closes: #1019870).
  * New upstream release (6.4.2).
  * Update ABI to 6.4.2.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 18:30:46 +0100
