=== tests/manual/filetest/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## filetest Binary:
#####################################################################

qt_internal_add_manual_test(filetest
    SOURCES
        main.cpp
)
